---
title: Fetch content by ID
slug: content-recommendations/api/fetch-content-by-id
docTags: 
createdAt: 2026-09-02T16:24:40.465Z
---

{
  "id": "Aj_sSBAr3gnenJlV0b6p4",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.usea01.idio.episerver.net/1.0/content/{id}",
    "servers": [
      {
        "url": "https://{hostname}/1.0/content/{id}",
        "description": "Primary API server",
        "variables": {
          "hostname": {
            "default": "api.usea01.idio.episerver.net",
            "enum": [
              "api.apac01.idio.episerver.net",
              "api.caea01.idio.episerver.net",
              "api.emea01.idio.episerver.net",
              "api.usea01.idio.episerver.net"
            ]
          }
        }
      }
    ],
    "name": "Fetch content by ID",
    "description": "Get detailed information about a specific content item.",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "id",
          "type": "integer",
          "example": 101,
          "description": "Unique identifier of the content item."
        }
      ],
      "headerParameters": [],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "key",
          "name": "key",
          "kind": "optional",
          "type": "apiKey",
          "description": "<p>API key required for authentication. Must be provided as a query parameter, for example, <code>?key=YOUR_API_KEY</code>.</p>",
          "in": "query"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "<p>Detailed information about a single content item, including metadata, author, source, and media links.</p>",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"id\":101,\"title\":\"AI in Healthcare\",\"abstract\":\"Exploring how AI is transforming healthcare.\",\"featured\":true,\"approved\":\"approved\",\"read\":false,\"published\":\"2026-05-14T09:30:00Z\",\"original_url\":\"https://www.example.com/news/ai-in-healthcare\",\"link_url\":\"https://www.example.com/news/ai-in-healthcare\",\"full_details_url\":\"https://api.usea01.idio.episerver.net/1.0/content/101\",\"main_image_url\":\"https://images.example.com/101/main.jpg\",\"main_image\":{\"width\":1200,\"height\":800},\"metadata\":{\"language\":\"en\"},\"source\":{\"id\":501,\"title\":\"Nature Journal\",\"full_details_url\":\"https://api.usea01.idio.episerver.net/1.0/sources/501\",\"display\":\"full\"},\"author\":{\"id\":301,\"title\":\"Dr. Jane Smith\",\"full_details_url\":\"https://api.usea01.idio.episerver.net/1.0/authors/301\"},\"topics\":[{\"id\":42,\"title\":\"Artificial Intelligence\",\"full_details_url\":\"https://api.usea01.idio.episerver.net/1.0/topics/42\"}],\"content\":\"Artificial intelligence is reshaping how clinicians diagnose and treat patients across the care pathway.\",\"images\":[{\"url\":\"https://images.example.com/101/inline-1.jpg\",\"width\":800,\"height\":450}]}",
            "description": "",
            "customType": "ContentItemVerbose",
            "schema": [
              {
                "name": "title",
                "kind": "optional",
                "type": "string",
                "description": "Title of the content item."
              },
              {
                "name": "abstract",
                "kind": "optional",
                "type": "string",
                "description": "Short summary or abstract of the content."
              },
              {
                "name": "featured",
                "kind": "optional",
                "type": "boolean",
                "description": "Indicates whether the content is featured."
              },
              {
                "name": "approved",
                "kind": "optional",
                "type": "string<approved | unapproved | binned>",
                "description": "Approval status of the content.",
                "enum": [
                  "approved",
                  "unapproved",
                  "binned"
                ]
              },
              {
                "name": "read",
                "kind": "optional",
                "type": "boolean",
                "description": "Whether the content is marked as read."
              },
              {
                "name": "published",
                "kind": "optional",
                "type": "string<date-time>",
                "description": "Date and time when the content was published.",
                "format": "date-time"
              },
              {
                "name": "original_url",
                "kind": "optional",
                "type": "string<url>",
                "description": "Original source URL of the content.",
                "format": "url"
              },
              {
                "name": "id",
                "kind": "required",
                "type": "integer",
                "description": "Unique identifier of the content item."
              },
              {
                "name": "metadata",
                "kind": "required",
                "type": "object",
                "description": "<p>Metadata for a content item, such as language and tags.</p>",
                "modelRef": "#/components/schemas/ContentMetadata",
                "customType": "ContentMetadata",
                "schema": [
                  {
                    "name": "language",
                    "kind": "optional",
                    "type": "string<de | en | es | fr | it>",
                    "description": "Language of the content.",
                    "enum": [
                      "de",
                      "en",
                      "es",
                      "fr",
                      "it"
                    ]
                  },
                  {
                    "name": "tags",
                    "kind": "optional",
                    "type": "map",
                    "description": "<p>Arbitrary namespaced tags associated with the content. Values may be strings or arrays of strings (for example, multiple authors).</p>",
                    "example": "",
                    "customType": "map<string, string>",
                    "schema": []
                  }
                ]
              },
              {
                "name": "topics",
                "kind": "optional",
                "type": "array",
                "description": "Topic information associated with the content.",
                "modelRef": "#/components/schemas/ContentTopic",
                "customType": "ContentTopic[]",
                "schema": [
                  {
                    "name": "id",
                    "kind": "required",
                    "type": "integer",
                    "description": "Unique identifier of the topic."
                  },
                  {
                    "name": "title",
                    "kind": "required",
                    "type": "string",
                    "description": "Topic title."
                  },
                  {
                    "name": "full_details_url",
                    "kind": "required",
                    "type": "string<url>",
                    "description": "API link to full topic details.",
                    "format": "url"
                  }
                ]
              },
              {
                "name": "link_url",
                "kind": "required",
                "type": "string<url>",
                "description": "URL to the live content link.",
                "format": "url"
              },
              {
                "name": "full_details_url",
                "kind": "required",
                "type": "string<url>",
                "description": "API URL for full details of the content.",
                "format": "url"
              },
              {
                "name": "main_image_url",
                "kind": "required",
                "type": "string<url>",
                "description": "URL to the main image of the content.",
                "format": "url"
              },
              {
                "name": "main_image",
                "kind": "required",
                "type": "object",
                "description": "",
                "modelRef": "#/components/schemas/ContentMainImage",
                "customType": "ContentMainImage",
                "schema": [
                  {
                    "name": "width",
                    "kind": "required",
                    "type": "integer",
                    "description": "Image width in pixels."
                  },
                  {
                    "name": "height",
                    "kind": "required",
                    "type": "integer",
                    "description": "Image height in pixels."
                  }
                ]
              },
              {
                "name": "source",
                "kind": "required",
                "type": "object",
                "description": "<p>The source (origin) of the content.</p>",
                "modelRef": "#/components/schemas/ContentSource",
                "customType": "ContentSource",
                "schema": [
                  {
                    "name": "id",
                    "kind": "required",
                    "type": "integer",
                    "description": "Unique identifier of the source."
                  },
                  {
                    "name": "title",
                    "kind": "required",
                    "type": "string",
                    "description": "Display name of the source."
                  },
                  {
                    "name": "full_details_url",
                    "kind": "required",
                    "type": "string<url>",
                    "description": "API URL for full source details.",
                    "format": "url"
                  },
                  {
                    "name": "display",
                    "kind": "required",
                    "type": "string<full | abstract | link>",
                    "description": "How the source should be displayed.",
                    "enum": [
                      "full",
                      "abstract",
                      "link"
                    ]
                  }
                ]
              },
              {
                "name": "author",
                "kind": "required",
                "type": "object",
                "description": "",
                "modelRef": "#/components/schemas/ContentAuthor",
                "customType": "ContentAuthor",
                "schema": [
                  {
                    "name": "id",
                    "kind": "required",
                    "type": "integer",
                    "description": "Unique identifier of the author."
                  },
                  {
                    "name": "title",
                    "kind": "required",
                    "type": "string",
                    "description": "Name of the author."
                  },
                  {
                    "name": "full_details_url",
                    "kind": "required",
                    "type": "string<url>",
                    "description": "API URL for full author details.",
                    "format": "url"
                  }
                ]
              },
              {
                "name": "content",
                "kind": "optional",
                "type": "string",
                "description": "<p>Full content body (if available).</p>"
              },
              {
                "name": "images",
                "kind": "required",
                "type": "array",
                "description": "Additional images associated with the content.",
                "modelRef": "#/components/schemas/ContentImage",
                "customType": "ContentImage[]",
                "schema": [
                  {
                    "name": "url",
                    "kind": "required",
                    "type": "string<url>",
                    "description": "Image URL.",
                    "format": "url"
                  },
                  {
                    "name": "width",
                    "kind": "required",
                    "type": "integer",
                    "description": "Image width in pixels."
                  },
                  {
                    "name": "height",
                    "kind": "required",
                    "type": "integer",
                    "description": "Image height in pixels."
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/ContentItemVerbose",
            "complexItems": [
              {
                "name": "object",
                "schema": [
                  {
                    "name": "title",
                    "kind": "optional",
                    "type": "string",
                    "description": "Title of the content item."
                  },
                  {
                    "name": "abstract",
                    "kind": "optional",
                    "type": "string",
                    "description": "Short summary or abstract of the content."
                  },
                  {
                    "name": "featured",
                    "kind": "optional",
                    "type": "boolean",
                    "description": "Indicates whether the content is featured."
                  },
                  {
                    "name": "approved",
                    "kind": "optional",
                    "type": "string<approved | unapproved | binned>",
                    "description": "Approval status of the content.",
                    "enum": [
                      "approved",
                      "unapproved",
                      "binned"
                    ]
                  },
                  {
                    "name": "read",
                    "kind": "optional",
                    "type": "boolean",
                    "description": "Whether the content is marked as read."
                  },
                  {
                    "name": "published",
                    "kind": "optional",
                    "type": "string<date-time>",
                    "description": "Date and time when the content was published.",
                    "format": "date-time"
                  },
                  {
                    "name": "original_url",
                    "kind": "optional",
                    "type": "string<url>",
                    "description": "Original source URL of the content.",
                    "format": "url"
                  },
                  {
                    "name": "id",
                    "kind": "required",
                    "type": "integer",
                    "description": "Unique identifier of the content item."
                  },
                  {
                    "name": "metadata",
                    "kind": "required",
                    "type": "object",
                    "description": "<p>Metadata for a content item, such as language and tags.</p>",
                    "modelRef": "#/components/schemas/ContentMetadata",
                    "customType": "ContentMetadata",
                    "schema": [
                      {
                        "name": "language",
                        "kind": "optional",
                        "type": "string<de | en | es | fr | it>",
                        "description": "Language of the content.",
                        "enum": [
                          "de",
                          "en",
                          "es",
                          "fr",
                          "it"
                        ]
                      },
                      {
                        "name": "tags",
                        "kind": "optional",
                        "type": "map",
                        "description": "<p>Arbitrary namespaced tags associated with the content. Values may be strings or arrays of strings (for example, multiple authors).</p>",
                        "example": "",
                        "customType": "map<string, string>",
                        "schema": []
                      }
                    ]
                  },
                  {
                    "name": "topics",
                    "kind": "optional",
                    "type": "array",
                    "description": "Topic information associated with the content.",
                    "modelRef": "#/components/schemas/ContentTopic",
                    "customType": "ContentTopic[]",
                    "schema": [
                      {
                        "name": "id",
                        "kind": "required",
                        "type": "integer",
                        "description": "Unique identifier of the topic."
                      },
                      {
                        "name": "title",
                        "kind": "required",
                        "type": "string",
                        "description": "Topic title."
                      },
                      {
                        "name": "full_details_url",
                        "kind": "required",
                        "type": "string<url>",
                        "description": "API link to full topic details.",
                        "format": "url"
                      }
                    ]
                  },
                  {
                    "name": "link_url",
                    "kind": "required",
                    "type": "string<url>",
                    "description": "URL to the live content link.",
                    "format": "url"
                  },
                  {
                    "name": "full_details_url",
                    "kind": "required",
                    "type": "string<url>",
                    "description": "API URL for full details of the content.",
                    "format": "url"
                  },
                  {
                    "name": "main_image_url",
                    "kind": "required",
                    "type": "string<url>",
                    "description": "URL to the main image of the content.",
                    "format": "url"
                  },
                  {
                    "name": "main_image",
                    "kind": "required",
                    "type": "object",
                    "description": "",
                    "modelRef": "#/components/schemas/ContentMainImage",
                    "customType": "ContentMainImage",
                    "schema": [
                      {
                        "name": "width",
                        "kind": "required",
                        "type": "integer",
                        "description": "Image width in pixels."
                      },
                      {
                        "name": "height",
                        "kind": "required",
                        "type": "integer",
                        "description": "Image height in pixels."
                      }
                    ]
                  },
                  {
                    "name": "source",
                    "kind": "required",
                    "type": "object",
                    "description": "<p>The source (origin) of the content.</p>",
                    "modelRef": "#/components/schemas/ContentSource",
                    "customType": "ContentSource",
                    "schema": [
                      {
                        "name": "id",
                        "kind": "required",
                        "type": "integer",
                        "description": "Unique identifier of the source."
                      },
                      {
                        "name": "title",
                        "kind": "required",
                        "type": "string",
                        "description": "Display name of the source."
                      },
                      {
                        "name": "full_details_url",
                        "kind": "required",
                        "type": "string<url>",
                        "description": "API URL for full source details.",
                        "format": "url"
                      },
                      {
                        "name": "display",
                        "kind": "required",
                        "type": "string<full | abstract | link>",
                        "description": "How the source should be displayed.",
                        "enum": [
                          "full",
                          "abstract",
                          "link"
                        ]
                      }
                    ]
                  },
                  {
                    "name": "author",
                    "kind": "required",
                    "type": "object",
                    "description": "",
                    "modelRef": "#/components/schemas/ContentAuthor",
                    "customType": "ContentAuthor",
                    "schema": [
                      {
                        "name": "id",
                        "kind": "required",
                        "type": "integer",
                        "description": "Unique identifier of the author."
                      },
                      {
                        "name": "title",
                        "kind": "required",
                        "type": "string",
                        "description": "Name of the author."
                      },
                      {
                        "name": "full_details_url",
                        "kind": "required",
                        "type": "string<url>",
                        "description": "API URL for full author details.",
                        "format": "url"
                      }
                    ]
                  }
                ],
                "modelRef": "#/components/schemas/ContentItem",
                "customType": "ContentItem"
              },
              {
                "name": "object",
                "schema": [
                  {
                    "name": "content",
                    "kind": "optional",
                    "type": "string",
                    "description": "<p>Full content body (if available).</p>"
                  }
                ],
                "modelRef": "#/components/schemas/ContentItemContent",
                "customType": "ContentItemContent"
              },
              {
                "name": "object",
                "schema": [
                  {
                    "name": "images",
                    "kind": "required",
                    "type": "array",
                    "description": "Additional images associated with the content.",
                    "modelRef": "#/components/schemas/ContentImage",
                    "customType": "ContentImage[]",
                    "schema": [
                      {
                        "name": "url",
                        "kind": "required",
                        "type": "string<url>",
                        "description": "Image URL.",
                        "format": "url"
                      },
                      {
                        "name": "width",
                        "kind": "required",
                        "type": "integer",
                        "description": "Image width in pixels."
                      },
                      {
                        "name": "height",
                        "kind": "required",
                        "type": "integer",
                        "description": "Image height in pixels."
                      }
                    ]
                  }
                ]
              }
            ],
            "complexType": "allOf",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "Content does not exist",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "0uPk4-SeVkgK3gXq0oM1r",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://api.usea01.idio.episerver.net/1.0/content/{id} \\\n     --header 'accept: application/json'"
        },
        {
          "id": "_C2JNq0PTq92t5rjvfsuQ",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.usea01.idio.episerver.net/1.0/content/{id}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "EkWwn_74KX1spxC84sXls",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.usea01.idio.episerver.net/1.0/content/{id}\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "GPpKIsR1YFILzAe9o0dEw",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.usea01.idio.episerver.net/1.0/content/{id}\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "0uPk4-SeVkgK3gXq0oM1r"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// Detailed information about a single content item, including metadata, author, source, and media links.\n{\n  \"title\": \"\",\n  \"abstract\": \"\",\n  \"featured\": false,\n  \"approved\": \"\",\n  \"read\": false,\n  \"published\": \"\",\n  \"original_url\": \"\",\n  \"id\": 0,\n  \"metadata\": {\n    \"language\": \"\",\n    \"tags\": \"\"\n  },\n  \"topics\": [\n    {\n      \"id\": 0,\n      \"title\": \"\",\n      \"full_details_url\": \"\"\n    }\n  ],\n  \"link_url\": \"\",\n  \"full_details_url\": \"\",\n  \"main_image_url\": \"\",\n  \"main_image\": {\n    \"width\": 0,\n    \"height\": 0\n  },\n  \"source\": {\n    \"id\": 0,\n    \"title\": \"\",\n    \"full_details_url\": \"\",\n    \"display\": \"\"\n  },\n  \"author\": {\n    \"id\": 0,\n    \"title\": \"\",\n    \"full_details_url\": \"\"\n  },\n  \"content\": \"\",\n  \"images\": [\n    {\n      \"url\": \"\",\n      \"width\": 0,\n      \"height\": 0\n    }\n  ]\n}"
        },
        {
          "id": "response-1-404",
          "language": "404",
          "code": "// Content does not exist\n"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}